Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619077 - pulp repo update is not working
pulp repo update is not working
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
: Triaged
Depends On:
Blocks: pulp-verified
  Show dependency treegraph
 
Reported: 2010-07-28 10:10 EDT by Preethi Thomas
Modified: 2011-08-16 10:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 10:02:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-07-28 10:10:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Preethi Thomas 2010-07-28 10:14:59 EDT
Sorry, I hit enter too soon :)

here is the description

pulp repo update doesn't seem to be working.




[root@preethi ~]# pulp repo update
[root@preethi ~]# pulp repo update --help
Usage: pulp repo [OPTIONS]

Options:
  -h, --help  show this help message and exit
Comment 2 Preethi Thomas 2010-08-04 11:20:09 EDT
[root@preethi pulp]# pulp -u admin -p admin repo update --help
Usage: pulp -u <username> -p <password> repo [OPTIONS]
Supported Actions:
        create         Create a repo            
        delete         Delete a repo            
        list           List available repos     
        schedules      List all repo schedules  
        sync           Sync data to this repo from the feed
        update         Update a repo            
        upload         Upload package(s) to this repo


Options:
  -h, --help            show this help message and exit
  -u USERNAME, --username=USERNAME
                        <REQUIRED> username for access to Pulp.  Default user
                        admin is included with base install.
  -p PASSWORD, --password=PASSWORD
                        <REQUIRED> password for access to Pulp.
Comment 3 Pradeep Kilambi 2010-08-17 10:35:54 EDT
update is not implemented. Its a no-op currently. Either remove the option or add means to update a repo  information.
Comment 4 Mike McCune 2010-09-21 18:43:33 EDT
I'm fixing this.
Comment 5 Preethi Thomas 2010-09-28 13:39:40 EDT
fails_qa

updating with --schedule option doesn't seem to be working. All the other options I tried are working.

[root@preethi ~]# sudo pulp-admin repo update --id=f13-updates --schedule="02 * * * *"
 Successfully updated Repo [ f13-updates ]
[root@preethi ~]# sudo pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label                   test01                   
Name                    test01                   
Feed                    {u'url': u'/tmp/', u'type': u'local', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                2                        
Files                   0                        


Label                   f13-updates              
Name                    f13-updates              
Feed                    {u'url': u'http://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                6784                     
Files                   0           

[root@preethi ~]# sudo pulp-admin repo update --id=test01 --arch=i386
 Successfully updated Repo [ test01 ]
[root@preethi ~]# sudo pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label                   test01                   
Name                    test01                   
Feed                    None                     
Arch                    i386                     
Sync Schedule           None                     
Packages                2                        
Files                   0                        


Label                   f13-updates              
Name                    f13-updates              
Feed                    {u'url': u'http://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                6784                     
Files                   0                        

[root@preethi ~]# sudo pulp-admin repo update --id=test01 --feed=local:/tmp/
 Successfully updated Repo [ test01 ]
[root@preethi ~]# sudo pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label                   test01                   
Name                    test01                   
Feed                    {u'url': u'/tmp/', u'type': u'local', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    i386                     
Sync Schedule           None                     
Packages                2                        
Files                   0                        


Label                   f13-updates              
Name                    f13-updates              
Feed                    {u'url': u'http://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/', u'type': u'yum', u'supported_types': [u'yum', u'local', u'rhn']}
Arch                    x86_64                   
Sync Schedule           None                     
Packages                6784                     
Files                   0                        

[root@preethi ~]#
Comment 6 Mike McCune 2010-10-28 17:21:20 EDT
Sync schedule should work now.

[mmccune@gibson pulp{master}]$ sudo pulp-admin repo list
...
FeedType           	None                     
Arch               	noarch                   
Sync Schedule      	02 * * * *               
Packages           	0         
...

[mmccune@gibson pulp{master}]$ sudo pulp-admin repo update --id=test --schedule="03 * * * *"
Successfully updated repository [ test ]

[mmccune@gibson pulp{master}]$ sudo pulp-admin repo list
...
Arch               	noarch                   
Sync Schedule      	03 * * * *               
Packages           	0                  
...
Comment 7 Jay Dobies 2010-10-29 12:58:31 EDT
Fixed in 0.77.
Comment 8 Preethi Thomas 2010-11-04 13:03:43 EDT
[root@preethi ~]#  pulp-admin repo update --id=f13 --schedule="02 *
* * *"
Successfully updated repository [ f13 ]

[root@preethi ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label              	f13                      
Name               	f13                      
FeedURL            	http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/
FeedType           	yum                      
Arch               	x86_64                   
Sync Schedule      	02 *
* * *               
Packages           	3102                     
Files              	8                        
Publish            	True                     
Clones             	[]                       




[root@preethi ~]# pulp-admin repo update --id=f13 --schedule="03 *
* * *"
Successfully updated repository [ f13 ]

[root@preethi ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Label              	f13                      
Name               	f13                      
FeedURL            	http://download.devel.redhat.com/released/F-13/GOLD/Fedora/x86_64/os/
FeedType           	yum                      
Arch               	x86_64                   
Sync Schedule      	03 *
* * *               
Packages           	3102                     
Files              	8                        
Publish            	True                     
Clones             	[]
Comment 9 Preethi Thomas 2011-08-16 10:02:40 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.